version 7.0
set more off
capture log close
log using "C:\fd-data\envimp.log", replace
* *** environment policy
use "C:\fd-data\fd-cross.dta", clear
* * distribution of environment policy
swilk envimp
kdensity envimp, normal
save envimp.gph, replace
* *** 1st analysis (bivariate)
reg envimp feddummy
reg envimp fedtype
reg envimp fedlijp
reg envimp fedkeman
reg envimp fedtreis
reg envimp fedgth
reg envimp fedmadx
reg envimp dezrev2
reg envimp dezrev3
reg envimp dezrev4
reg envimp snadm
reg envimp dezrev1
reg envimp dezexp
reg envimp env
* *** 2nd analysis (mean difference by federalism)
sort feddummy
by feddummy: sum envimp
gen fenvimp = envimp if feddummy == 1
gen uenvimp = envimp if feddummy == 0
sdtest fenvimp = uenvimp
ttest fenvimp = uenvimp, unpaired
* *** 3rd analysis (bivariate model selection)
* reg envimp pcenv
* reg envimp growth10
* reg envimp unemp10
* reg envimp infl10
* reg envimp tradebal10
* reg envimp govsize10
* reg envimp socexp10
* reg envimp budgdef10
* reg envimp incineq1
* reg envimp incineq2
* reg envimp incineq3
* reg envimp pop
* reg envimp area
* reg envimp popdens
* reg envimp ethnic
* reg envimp religion
* reg envimp hdi02
* reg envimp urban
* reg envimp legeng
* reg envimp legfren
* reg envimp legger
* reg envimp legscan
* reg envimp democ
* reg envimp medage
* reg envimp polisys
* * model1 specification
* reg envimp infl10 tradebal10 govsize10 incineq1 incineq2 hdi02 legscan democ medage polisys
* reg envimp infl10 tradebal10 govsize10 incineq1 incineq2 legscan democ medage polisys
* reg envimp infl10 tradebal10 govsize10 incineq1 incineq2 legscan democ medage
* * reg envimp infl10 tradebal10 govsize10 incineq1 incineq2 hdi02 legscan democ medage
* * same model
* reg envimp tradebal10 govsize10 incineq1 incineq2 legscan democ medage
* reg envimp govsize10 incineq1 incineq2 legscan democ medage
* reg envimp govsize10 incineq2 legscan democ medage
* vif
* * inclusion of federalism, decentralization, fiscal variables
* reg envimp govsize10 incineq2 legscan democ medage feddummy
* reg envimp govsize10 incineq2 legscan democ medage fedtype
* reg envimp govsize10 incineq2 legscan democ medage fedlijp
* reg envimp govsize10 incineq2 legscan democ medage fedkeman
* reg envimp govsize10 incineq2 legscan democ medage fedtreis
* reg envimp govsize10 incineq2 legscan democ medage fedgth
* reg envimp govsize10 incineq2 legscan democ medage fedmadx
* reg envimp govsize10 incineq2 legscan democ medage pcgrants
* reg envimp govsize10 incineq2 democ medage pcgrants
* reg envimp govsize10 incineq2 legscan democ medage dezrev2
* reg envimp govsize10 incineq2 legscan democ medage dezrev3
* reg envimp govsize10 incineq2 legscan democ medage dezrev4
* reg envimp govsize10 incineq2 legscan democ medage borrauton
* reg envimp govsize10 incineq2 democ medage borrauton
* reg envimp govsize10 incineq2 legscan democ medage hbc
* reg envimp govsize10 incineq2 democ medage hbc
* reg envimp govsize10 incineq2 legscan democ medage snadm
* reg envimp govsize10 incineq2 legscan democ medage dezrev1
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr feddummy
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fedtype
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fedlijp
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fedkeman
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fedtreis
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fedgth
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fedmadx
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants
* vif
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants feddummy
* reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fedtype
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fedlijp
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants fedlijp
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fedkeman
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fedtreis
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fedgth
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fedmadx
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants dezrev2
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants dezrev3
* reg envimp govsize10 incineq2 democ medage pcsnborr pcgrants dezrev3
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants dezrev4
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants borrauton
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants hbc
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants snadm
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants dezrev1
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev1
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fimb1
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants fimb2
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants grants
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants
* reg envimp govsize10 legscan democ medage pcsnborr grants
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants
* vif
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants feddummy
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fedtype
* reg envimp govsize10 legscan democ medage pcsnborr grants fedtype
* reg envimp govsize10 legscan democ medage pcsnborr fedtype
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fedlijp
* reg envimp govsize10 legscan democ medage pcsnborr grants fedlijp
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fedkeman
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fedtreis
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fedgth
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fedmadx
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants dezrev2
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants dezrev3
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants dezrev4
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants borrauton
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants hbc
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants snadm
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants dezrev1
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fimb1
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants fimb2
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants dezexp
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants env
* reg envimp govsize10 legscan democ medage pcsnborr grants env
* reg envimp govsize10 democ medage pcsnborr grants env
* reg envimp govsize10 democ medage pcsnborr env
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants dezexp
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr pcgrants env
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants env
* reg envimp govsize10 legscan medage pcsnborr pcgrants env
* reg envimp govsize10 legscan pcsnborr pcgrants env
* reg envimp govsize10 pcsnborr pcgrants env
* reg envimp govsize10 pcsnborr env
* * (model failure; small n)
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr dezrev2
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr dezrev3
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr dezrev4
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr borrauton
* reg envimp govsize10 incineq2 democ medage pcsnborr borrauton
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr hbc
* reg envimp govsize10 incineq2 democ medage pcsnborr hbc
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr snadm
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr dezrev1
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fimb1
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr fimb2
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr grants
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr dezexp
* reg envimp govsize10 incineq2 legscan democ medage pcsnborr env
* reg envimp govsize10 incineq2 democ medage pcsnborr env
* * (cf. above)
* reg envimp govsize10 incineq2 legscan democ medage fimb1
* reg envimp govsize10 incineq2 legscan democ medage fimb2
* reg envimp incineq2 legscan democ medage fimb2
* reg envimp legscan democ medage fimb2
* reg envimp govsize10 incineq2 legscan democ medage grants
* reg envimp incineq2 legscan democ medage grants
* reg envimp legscan democ medage grants
* reg envimp govsize10 incineq2 legscan democ medage dezexp
* reg envimp govsize10 incineq2 legscan democ medage env
* reg envimp govsize10 legscan democ medage env
* reg envimp govsize10 democ medage env
* reg envimp democ medage env
* * model11 specification
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy
* vif
hettest
predict envimphat1
predict envimpe1, r
graph envimpe1 envimphat1
save envimp1.gph, replace
swilk envimpe1
predict envimpcook1, cooksd
local max = 4/e(N)
* display `max'
tab envimpcook1 country if envimpcook1 > `max'
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy fedtype
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy dezrev2
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy dezrev3
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy dezrev4
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy snadm
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy dezrev1
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy dezexp
reg envimp govsize10 incineq2 legscan democ medage pcgrants feddummy env
* * model12 specification
reg envimp govsize10 legscan democ medage pcsnborr pcgrants fedlijp
* vif
hettest
predict envimphat2
predict envimpe2, r
graph envimpe2 envimphat2
save envimp2.gph, replace
swilk envimpe2
predict envimpcook2, cooksd
local max = 4/e(N)
* display `max'
tab envimpcook2 country if envimpcook2 > `max'
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants fedlijp if envimpcook2 < .5
reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp if envimpcook2 < .5
hettest
reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp fedtype if envimpcook2 < .5
* reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp dezrev2 if envimpcook2 < .5
reg envimp govsize10 legscan democ pcsnborr pcgrants dezrev2 if envimpcook2 < .5
reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp dezrev3 if envimpcook2 < .5
reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp dezrev4 if envimpcook2 < .5
reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp snadm if envimpcook2 < .5
reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp dezrev1 if envimpcook2 < .5
* reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp dezexp if envimpcook2 < .5
reg envimp govsize10 legscan democ pcsnborr pcgrants dezexp if envimpcook2 < .5
* reg envimp govsize10 legscan democ pcsnborr pcgrants fedlijp env if envimpcook2 < .5
reg envimp govsize10 legscan democ pcgrants fedlijp env if envimpcook2 < .5
* * model13 specification
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2
* vif
hettest
predict envimphat3
predict envimpe3, r
graph envimpe3 envimphat3
save envimp3.gph, replace
swilk envimpe3
predict envimpcook3, cooksd
local max = 4/e(N)
* display `max'
tab envimpcook3 country if envimpcook3 > `max'
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2 feddummy
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2 fedtype
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2 fedlijp
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2 fedkeman
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2 fedtreis
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2 fedgth
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2 fedmadx
reg envimp govsize10 democ medage pcsnborr pcgrants dezrev2 fedmadx
* * model14 specification
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants feddummy
* vif
* hettest
* predict envimphat4
* predict envimpe4, r
* graph envimpe4 envimphat4
* save envimp4.gph, replace
* swilk envimpe4
* predict envimpcook4, cooksd
* local max = 4/e(N)
* display `max'
* tab envimpcook4 country if envimpcook4 > `max'
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants grants feddummy if envimpcook4 < .5
* reg envimp govsize10 legscan democ medage pcsnborr grants feddummy if envimpcook4 < .5
* * feddummy not signifgicant: cf. model11
* * model15 specification
reg envimp govsize10 democ medage pcsnborr env
* vif
hettest
predict envimphat5
predict envimpe5, r
graph envimpe5 envimphat5
save envimp5.gph, replace
swilk envimpe5
predict envimpcook5, cooksd
local max = 4/e(N)
* display `max'
tab envimpcook5 country if envimpcook5 > `max'
reg envimp govsize10 democ medage pcsnborr env if envimpcook5 < .5
hettest
reg envimp govsize10 democ medage pcsnborr env feddummy if envimpcook5 < .5
* reg envimp govsize10 democ medage pcsnborr env fedtype if envimpcook5 < .5
* reg envimp govsize10 democ medage pcsnborr fedtype if envimpcook5 < .5
reg envimp govsize10 medage pcsnborr fedtype if envimpcook5 < .5
* reg envimp govsize10 democ medage pcsnborr env fedlijp if envimpcook5 < .5
reg envimp govsize10 medage pcsnborr env fedlijp if envimpcook5 < .5
reg envimp govsize10 democ medage pcsnborr env fedkeman if envimpcook5 < .5
reg envimp govsize10 democ medage pcsnborr env fedtreis if envimpcook5 < .5
reg envimp govsize10 democ medage pcsnborr env fedgth if envimpcook5 < .5
reg envimp govsize10 democ medage pcsnborr env fedmadx if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype feddummy if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype fedlijp if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype fedkeman if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype fedtreis if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype fedgth if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype fedmadx if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype dezrev2 if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype dezrev3 if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype dezrev4 if envimpcook5 < .5
* * reg envimp govsize10 pcsnborr fedtype dezrev4 if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype snadm if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype dezrev1 if envimpcook5 < .5
* * reg envimp govsize10 medage pcsnborr fedtype dezexp if envimpcook5 < .5
* * model16 specification
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp
* vif
hettest
predict envimphat6
predict envimpe6, r
graph envimpe6 envimphat6
save envimp6.gph, replace
swilk envimpe6
predict envimpcook6, cooksd
local max = 4/e(N)
* display `max'
tab envimpcook6 country if envimpcook6 > `max'
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp feddummy
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp fedtype
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp fedlijp
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp fedkeman
reg envimp govsize10 democ medage pcsnborr pcgrants dezexp fedkeman
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp fedtreis
reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp fedgth
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp fedmadx
reg envimp govsize10 democ medage pcsnborr pcgrants dezexp fedmadx
* * model17 specification
reg envimp democ medage env
* vif
hettest
predict envimphat7
predict envimpe7, r
graph envimpe7 envimphat7
save envimp7.gph, replace
swilk envimpe7
predict envimpcook7, cooksd
local max = 4/e(N)
* display `max'
tab envimpcook7 country if envimpcook7 > `max'
reg envimp democ medage env feddummy
reg envimp democ medage env fedtype
reg envimp democ medage env fedlijp
reg envimp democ medage env fedkeman
reg envimp democ medage env fedtreis
reg envimp democ medage env fedgth
reg envimp democ medage env fedmadx
reg envimp democ medage env fedtype feddummy
* reg envimp democ medage env fedtype fedlijp
* reg envimp democ env fedtype fedlijp
reg envimp env fedtype fedlijp
* reg envimp democ medage env fedtype fedkeman
reg envimp democ env fedtype fedkeman
reg envimp democ medage env fedtype fedtreis
reg envimp democ medage env fedtype fedgth
reg envimp democ medage env fedtype fedmadx
* * additional model1 analysis
* reg envimp govsize10 incineq2 legscan democ medage
* hettest
* predict envimphat8
* predict envimpe8, r
* graph envimpe8 envimphat8
* save envimp8.gph, replace
* swilk envimpe8
* predict envimpcook8, cooksd
* local max = 4/e(N)
* display `max'
* tab envimpcook8 country if envimpcook8 > `max'
* * no result
* *** 4th analysis (stepwise model selection)
sum pcenv
sw reg envimp growth10 unemp10 infl10 tradebal10 govsize10 budgdef10 incineq1 incineq2 pop area popdens ethnic religion hdi02 urban legfren legger legscan democ medage, pr(.3) pe(.2) forward
* reg envimp growth10 tradebal10 govsize10 religion hdi02 area legfren legscan democ
reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ
* vif
hettest
predict envimphat9
predict envimpe9, r
graph envimpe9 envimphat9
save envimp9.gph, replace
swilk envimpe9
predict envimpcook9, cooksd
local max = 4/e(N)
* display `max'
tab envimpcook9 country if envimpcook9 > `max'
reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ, robust
* * inclusion of federalism, decentralization, fiscal variables
* * model21
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ feddummy, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fedtype, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fedlijp, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fedkeman, robust
* reg envimp govsize10 religion hdi02 area legfren legscan democ fedkeman, robust
* reg envimp govsize10 religion hdi02 area legfren legscan fedkeman, robust
reg envimp govsize10 religion area legfren legscan fedkeman, robust
* vif
reg envimp govsize10 religion area legfren legscan fedkeman fedtype, robust
* reg envimp govsize10 religion area legfren legscan fedkeman dezrev2, robust
* reg envimp govsize10 religion area legfren legscan dezrev2, robust
reg envimp govsize10 religion area legscan dezrev2, robust
* reg envimp govsize10 religion area legfren legscan fedkeman dezrev3, robust
reg envimp govsize10 religion area legscan fedkeman dezrev3, robust
reg envimp govsize10 religion area legfren legscan fedkeman dezrev4, robust
reg envimp govsize10 religion area legfren legscan fedkeman snadm, robust
reg envimp govsize10 religion area legfren legscan fedkeman dezrev1, robust
* reg envimp govsize10 religion area legfren legscan fedkeman dezexp, robust
* reg envimp govsize10 religion area legfren legscan dezexp, robust
* reg envimp religion area legfren legscan dezexp, robust
reg envimp religion area legscan dezexp, robust
* reg envimp govsize10 religion area legfren legscan fedkeman env, robust
reg envimp govsize10 religion area legscan fedkeman env, robust
reg envimp govsize10 religion area legfren legscan fedkeman fedtype dezrev2, robust
reg envimp govsize10 religion area legfren legscan fedkeman fedtype dezrev3, robust
* reg envimp govsize10 religion area legfren legscan fedkeman fedtype dezrev4, robust
reg envimp govsize10 religion area legscan fedkeman fedtype dezrev4, robust
reg envimp govsize10 religion area legfren legscan fedkeman fedtype snadm, robust
reg envimp govsize10 religion area legfren legscan fedkeman fedtype dezrev1, robust
* reg envimp govsize10 religion area legfren legscan fedkeman fedtype dezexp, robust
reg envimp govsize10 religion area legfren legscan fedtype dezexp, robust
* * model22
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fedtreis, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fedgth, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fedmadx, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ pcgrants, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ dezrev2, robust
* reg envimp govsize10 religion hdi02 area legfren legscan democ dezrev2, robust
* reg envimp govsize10 religion hdi02 area legfren democ dezrev2, robust
* vif
reg envimp govsize10 religion hdi02 area legfren dezrev2, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 feddummy, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtype, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedlijp, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedkeman, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtreis, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedgth, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedmadx, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtype feddummy, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtype fedlijp, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtype fedkeman, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtype fedtreis, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtype fedgth, robust
reg envimp govsize10 religion hdi02 area legfren dezrev2 fedtype fedmadx, robust
* * model23
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ dezrev3, robust
* reg envimp govsize10 religion hdi02 area legfren legscan democ dezrev3, robust
* reg envimp govsize10 religion hdi02 area legfren democ dezrev3, robust
* vif
reg envimp govsize10 religion hdi02 area legfren dezrev3, robust
reg envimp govsize10 religion hdi02 area legfren dezrev3 feddummy, robust
reg envimp govsize10 religion hdi02 area legfren dezrev3 fedtype, robust
reg envimp govsize10 religion hdi02 area legfren dezrev3 fedlijp, robust
reg envimp govsize10 religion hdi02 area legfren dezrev3 fedkeman, robust
reg envimp govsize10 religion hdi02 area legfren dezrev3 fedtreis, robust
reg envimp govsize10 religion hdi02 area legfren dezrev3 fedgth, robust
reg envimp govsize10 religion hdi02 area legfren dezrev3 fedmadx, robust
* * model24
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ dezrev4, robust
* reg envimp govsize10 religion hdi02 area legfren legscan democ dezrev4, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ borrauton, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ hbc, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ snadm, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ dezrev1, robust
* reg envimp govsize10 religion hdi02 area legfren legscan democ dezrev1, robust
* vif
* reg envimp govsize10 religion area legfren legscan democ dezrev1, robust
reg envimp govsize10 religion area legscan democ dezrev1, robust
* vif
reg envimp govsize10 religion area legscan democ dezrev1 feddummy, robust
reg envimp govsize10 religion area legscan democ dezrev1 fedtype, robust
* reg envimp govsize10 religion area legscan democ dezrev1 fedlijp, robust
reg envimp govsize10 religion area legscan dezrev1 fedlijp, robust
* reg envimp govsize10 religion area legscan democ dezrev1 fedkeman, robust
reg envimp govsize10 religion area legscan dezrev1 fedkeman, robust
reg envimp govsize10 religion area legscan democ dezrev1 fedtreis, robust
reg envimp govsize10 religion area legscan democ fedtreis, robust
reg envimp govsize10 religion area legscan democ dezrev1 fedgth, robust
reg envimp govsize10 religion area legscan democ dezrev1 fedmadx, robust
* * model25
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ pcsnborr, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fimb1, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ fimb2, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ grants, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ dezexp, robust
* vif
* reg envimp growth10 govsize10 religion area legfren legscan democ dezexp, robust
* reg envimp growth10 govsize10 religion area legscan democ dezexp, robust
reg envimp govsize10 religion area legscan democ dezexp, robust
* vif
reg envimp govsize10 religion area legscan democ dezexp feddummy, robust
reg envimp govsize10 religion area legscan democ dezexp fedtype, robust
* reg envimp govsize10 religion area legscan democ dezexp fedlijp, robust
reg envimp govsize10 religion area legscan dezexp fedlijp, robust
* reg envimp govsize10 religion area legscan democ dezexp fedkeman, robust
reg envimp govsize10 religion area legscan dezexp fedkeman, robust
* reg envimp govsize10 religion area legscan democ dezexp fedtreis, robust
reg envimp govsize10 religion area legscan democ fedtreis, robust
reg envimp govsize10 religion area legscan democ dezexp fedgth, robust
reg envimp govsize10 religion area legscan democ dezexp fedmadx, robust
reg envimp govsize10 religion area legscan democ dezexp fedtype feddummy, robust
* reg envimp govsize10 religion area legscan democ dezexp fedtype fedlijp, robust
reg envimp govsize10 religion area legscan dezexp fedtype fedlijp, robust
reg envimp govsize10 religion area legscan democ dezexp fedtype fedkeman, robust
reg envimp govsize10 religion area legscan democ dezexp fedtype fedtreis, robust
reg envimp govsize10 religion area legscan democ dezexp fedtype fedgth, robust
reg envimp govsize10 religion area legscan democ dezexp fedtype fedmadx, robust
* * model26
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ env, robust
* reg envimp growth10 govsize10 religion hdi02 area legfren democ env, robust
* reg envimp govsize10 religion hdi02 area legfren democ env, robust
* *** 5th analysis (further models and tests of stability)
version 9.0
* * model1a
* reg envimp govsize10 incineq2 legscan democ medage
* hettest
reg envimp govsize10 incineq2 democ medage
hettest
* vif
* predict envimpcook10, cooksd
* reg envimp govsize10 incineq2 democ medage if envimpcook10 < .5
reg envimp govsize10 incineq2 democ medage, robust hc3
estat ic
reg envimp govsize10 incineq2 democ medage pcsnborr, robust hc3
estat ic
* * model1b
* reg envimp govsize10 incineq2 democ medage pcgrants feddummy, robust hc3
* reg envimp govsize10 incineq2 democ medage feddummy, robust hc3
* reg envimp govsize10 incineq2 legscan democ medage feddummy, robust hc3
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezrev2, robust hc3
* reg envimp govsize10 democ medage pcsnborr pcgrants dezrev2, robust hc3
* reg envimp govsize10 democ medage pcsnborr dezrev2, robust hc3
* reg envimp govsize10 democ pcsnborr pcgrants dezrev2, robust hc3
* reg envimp govsize10 democ pcgrants dezrev2, robust hc3
* reg envimp govsize10 democ pcgrants dezrev2 fedmadx , robust hc3
reg envimp govsize10 democ pcgrants dezrev2, robust hc3
estat ic
* reg envimp govsize10 legscan democ medage pcsnborr pcgrants dezexp, robust hc3
* reg envimp govsize10 democ medage pcsnborr pcgrants dezexp, robust hc3
* reg envimp govsize10 democ medage pcgrants dezexp, robust hc3
* reg envimp govsize10 democ medage dezexp, robust hc3
* reg envimp govsize10 democ dezexp, robust hc3
* * model3
reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ
hettest
* vif
* predict envimpcook11, cooksd
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ if envimpcook11 < .5
* reg envimp growth10 govsize10 religion hdi02 area legfren legscan democ, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren democ, robust hc3
* vif
reg envimp growth10 govsize10 religion hdi02 area legfren ,robust hc3
* vif
estat ic
* * inclusion of federalism, decentralization, fiscal variables
* reg envimp growth10 govsize10 religion hdi02 area legfren feddummy, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren fedtype, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren fedlijp, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren fedkeman, robust hc3
* reg envimp govsize10 religion hdi02 area legfren fedkeman, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren fedtreis, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren fedgth, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren fedmadx, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren pcgrants, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren dezrev2, robust hc3
* reg envimp govsize10 religion hdi02 area legfren dezrev2, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren dezrev3, robust hc3
* reg envimp govsize10 religion hdi02 area legfren dezrev3, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren dezrev4, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren borrauton, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren hbc, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren snadm, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren dezrev1, robust hc3
reg envimp govsize10 religion hdi02 area legfren dezrev1, robust hc3
estat ic
* reg envimp growth10 govsize10 religion hdi02 area legfren pcsnborr, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren fimb1, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren grants, robust hc3
* reg envimp growth10 govsize10 religion hdi02 area legfren dezexp, robust hc3
reg envimp govsize10 religion hdi02 area legfren dezexp, robust hc3
estat ic
* reg envimp growth10 govsize10 religion hdi02 area legfren env, robust hc3
* reg envimp govsize10 religion hdi02 area legfren env, robust hc3
* * inclusion of control variables
reg envimp govsize10 religion hdi02 area legfren dezrev1 infl10, robust hc3
reg envimp govsize10 religion hdi02 area legfren dezrev1 budgdef10, robust hc3
reg envimp govsize10 religion hdi02 area legfren dezrev1 incineq2, robust hc3
reg envimp govsize10 religion hdi02 area legfren dezrev1 urban, robust hc3
reg envimp govsize10 religion hdi02 area legfren dezrev1 legeng, robust hc3
* reg envimp govsize10 religion hdi02 area legfren legeng, robust hc3
reg envimp govsize10 religion hdi02 legfren legeng, robust hc3
estat ic
reg envimp govsize10 religion hdi02 area legfren dezrev1 democ, robust hc3
vif
reg envimp govsize10 religion hdi02 area legfren dezrev1 medage, robust hc3
* models for display
reg envimp govsize10 religion area legscan fedgth dezexp, robust hc3
estat ic
reg envimp govsize10 religion hdi02 area dezrev1 feddummy, robust hc3
estat ic
* reg envimp govsize10 religion hdi02 area dezrev1 fedmadx, robust hc3
* estat ic
log close

